%define anolis_release 1
%define release_version 0.13.4
%global debug_package %{nil}

Name:           nydus-snapshotter
Version:        %{release_version}
Release:        %{anolis_release}%{?dist}
Summary:        A containerd snapshotter with data deduplication and lazy loading 

License:        Apache-2.0
URL:		https://github.com/containerd/nydus-snapshotter
Source0:        https://github.com/containerd/nydus-snapshotter/archive/refs/tags/v%{release_version}.tar.gz
Source1: 	nydus-snapshotter.fusedev.service
Source2:	v%{release_version}-vendor.tar.gz
Source3:	0001-containerd-add-blot-symbol-to-support-loong64.patch
Source4:	v%{release_version}-git-vendor.tar.gz

ExcludeArch: loongarch64

Requires: nydus-rs >= 2.2.4
BuildRequires:  golang >= 1.19
BuildRequires:  git

%description
Nydus Snapshotter - A containerd snapshotter with data deduplication and lazy loading 

%prep
%autosetup -n %{name}-%{release_version} -a4
go env -w GOFLAGS="-mod=vendor"

%build
tar -xzf %{SOURCE2}

%make_build

%install
sed -i 's/\/usr\/local\/bin\//\/usr\/bin\//g' ./misc/snapshotter/config.toml
install -Dpm 0755 ./bin/containerd-nydus-grpc %{buildroot}%{_bindir}/containerd-nydus-grpc
install -Dpm 0755 %{SOURCE1} %{buildroot}/etc/systemd/system/nydus-snapshotter.service
install -Dpm 0755 ./misc/snapshotter/nydusd-config.fusedev.json %{buildroot}/etc/nydus/nydusd-config.fusedev.json
install -Dpm 0755 ./misc/snapshotter/config.toml %{buildroot}/etc/nydus/config.toml
mkdir -p %{buildroot}/var/lib/containerd/io.containerd.snapshotter.v1.nydus/cache

%check

%post

%preun

%files
%{_bindir}/containerd-nydus-grpc
/etc/systemd/system/nydus-snapshotter.service
/etc/nydus/nydusd-config.fusedev.json
/etc/nydus/config.toml
/var/lib/containerd/io.containerd.snapshotter.v1.nydus/cache


%changelog
* Wed Dec 27 2023 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.13.4-1
- Update nydus-snapshotter to 0.13.4
* Mon Nov 20 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 0.5.1-2
- fix build error for loongarch64
* Mon Feb 20 2023 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.5.1-1
- Update nydus-snapshotter to 0.5.1
* Mon Dec 26 2022 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.3.3-1
- Update nydus-snapshotter to 0.3.3
* Thu Sep 8 2022 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.3.0~rc.3-1
- Update nydus-snapshotter to 0.3.0~rc.3-1
* Thu Aug 18 2022 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.3.0~alpha.5-2
- Fix version conflict
* Wed Aug 10 2022 tianqian.zyf <zyfjeff@linux.alibaba.com> - 0.3.0~alpha.5-1
- Support systemd
* Thu Jul 28 2022 Qinqi Qu <quqinqi@linux.alibaba.com> - 0.2.4-1
- First release
